import 'dart:async';
import 'dart:convert';
import 'package:libui/assets/assets.dart' as assets;
import 'package:meta/meta.dart';
import 'package:libui/i18n/i18n_state.dart';
import 'package:libui/i18n/i18n.dart' as i18n;

class I18nModel {
  String _key;

  Future<void> read(String pageName, String localeID) async {
    assert(pageName.length > 0);
    assert(localeID.length > 0);

    var key = '${pageName}_$localeID';
    if (_key != key) {
      String jsonContent = await assets.get('i18n/${key}.json');
      var localization = json.decode(jsonContent);
      i18n.state = I18nState(localization);
      _key = key;
    }
  }
}
