import 'dart:async';
import 'package:libui/async/async_provider.dart';
import 'package:libui/i18n/i18n_model.dart';
import 'package:libui/i18n/i18n.dart' as i18n;

class I18nProvider extends AsyncProvider {
  final I18nModel model;

  I18nProvider(this.model);
/*

  static I18nController of(BuildContext context) {
    return Localizations.of<I18nController>(context, I18nController);
  }
*/

  @override
  Future<void> load() async {
    assert(i18n.pageName.length > 0, "set 'page name'.localize first");
    assert(
        i18n.localeID.length > 0, "add I18nDelegate to localizationsDelegates");

    await model.read(i18n.pageName, i18n.localeID);
  }
}
